Bug 730084 - e1000e , offline, throwing _huge_ number of errors,
Summary: e1000e , offline, throwing _huge_ number of errors,
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 17:49 UTC by g. artim
Modified: 2012-06-06 17:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:25:09 UTC


Attachments (Terms of Use)

Description g. artim 2011-08-11 17:49:41 UTC
Description of problem:
e1000e produces a dump log and went offline after throwing huge number of errors


Version-Release number of selected component (if applicable):
see mod info below,

Linux n1 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
?? dont know, tried ping -f after reboot and count reproduce.

Steps to Reproduce:
1.
2.
3.
Actual results:
========
ifconfig -->> note for volume of errors/dropped/overruns!
========

eth0      Link encap:Ethernet  HWaddr 00:25:90:51:71:8C
          inet6 addr: fe80::225:90ff:fe51:718c/64 Scope:Link
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:29686814345411 errors:178120883658240 dropped:29686813943040 overruns:0 frame:118747255772160
          TX packets:29686814427396 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:29686848556708 (27.0 TiB)  TX bytes:29687400272113 (27.0 TiB)
          Interrupt:16 Memory:fb900000-fb920000

...

======
syslog:
======


Aug 10 08:33:33 n1 kernel: [333855.841513] ------------[ cut here ]------------
Aug 10 08:33:33 n1 kernel: [333855.841749] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0xf0/0x150()
Aug 10 08:33:33 n1 kernel: [333855.842189] Hardware name: X9SCL/X9SCM
Aug 10 08:33:33 n1 kernel: [333855.842414] NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Aug 10 08:33:33 n1 kernel: [333855.842648] Modules linked in: bnep bluetooth sunrpc rfkill cpufreq_ondemand
 acpi_cpufreq freq_table mperf nf_conntrack_ipv4 ip6t_REJECT nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_t
ables xt_state nf_conntrack joydev e1000e usb_storage i2c_i801 uas i2c_core ghes hed iTCO_wdt iTCO_vendor_support
microcode [last unloaded: scsi_wait_scan]
Aug 10 08:33:33 n1 kernel: [333855.843856] Pid: 0, comm: swapper Not tainted 2.6.40-4.fc15.x86_64 #1
Aug 10 08:33:33 n1 kernel: [333855.844081] Call Trace:
Aug 10 08:33:33 n1 kernel: [333855.844302]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 10 08:33:33 n1 kernel: [333855.844542]  [<ffffffff81054d49>] warn_slowpath_fmt+0x46/0x48
Aug 10 08:33:33 n1 kernel: [333855.844771]  [<ffffffff813f2389>] ? netif_tx_lock+0x4a/0x7c
Aug 10 08:33:33 n1 kernel: [333855.845002]  [<ffffffff813f24ff>] dev_watchdog+0xf0/0x150
Aug 10 08:33:33 n1 kernel: [333855.845231]  [<ffffffff81061db2>] run_timer_softirq+0x19b/0x280
Aug 10 08:33:33 n1 kernel: [333855.845459]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
Aug 10 08:33:33 n1 kernel: [333855.845692]  [<ffffffff813f240f>] ? netif_tx_unlock+0x54/0x54
Aug 10 08:33:33 n1 kernel: [333855.845923]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
Aug 10 08:33:33 n1 kernel: [333855.846150]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
Aug 10 08:33:33 n1 kernel: [333855.846378]  [<ffffffff814be9dc>] call_softirq+0x1c/0x30
Aug 10 08:33:33 n1 kernel: [333855.846604]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
Aug 10 08:33:33 n1 kernel: [333855.846828]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
Aug 10 08:33:33 n1 kernel: [333855.847055]  [<ffffffff814bf2f1>] smp_apic_timer_interrupt+0x7c/0x8a
Aug 10 08:33:33 n1 kernel: [333855.847283]  [<ffffffff814be193>] apic_timer_interrupt+0x13/0x20
Aug 10 08:33:33 n1 kernel: [333855.847513]  <EOI>  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
Aug 10 08:33:33 n1 kernel: [333855.847747]  [<ffffffff81283b14>] ? intel_idle+0xd8/0x100
Aug 10 08:33:33 n1 kernel: [333855.847974]  [<ffffffff81283af6>] ? intel_idle+0xba/0x100
Aug 10 08:33:33 n1 kernel: [333855.848203]  [<ffffffff813b0aa5>] cpuidle_idle_call+0xd7/0x168
Aug 10 08:33:33 n1 kernel: [333855.848431]  [<ffffffff81008307>] cpu_idle+0xa5/0xdf
Aug 10 08:33:33 n1 kernel: [333855.848658]  [<ffffffff814963be>] rest_init+0x72/0x74
Aug 10 08:33:33 n1 kernel: [333855.848886]  [<ffffffff81b6bb8b>] start_kernel+0x3ca/0x3d5
Aug 10 08:33:33 n1 kernel: [333855.849114]  [<ffffffff81b6b2c4>] x86_64_start_reservations+0xaf/0xb3
Aug 10 08:33:33 n1 kernel: [333855.849345]  [<ffffffff81b6b140>] ? early_idt_handlers+0x140/0x140
Aug 10 08:33:33 n1 kernel: [333855.849577]  [<ffffffff81b6b3ca>] x86_64_start_kernel+0x102/0x111
Aug 10 08:33:33 n1 kernel: [333855.849807] ---[ end trace 355358b7c2818a1f ]---

Actual results:



Expected results:


Additional info:

==============
modinfo e1000e
==============

filename:       /lib/modules/2.6.40-4.fc15.x86_64/kernel/drivers/net/e1000e/e1000e.ko
version:        1.3.10-k2
license:        GPL
description:    Intel(R) PRO/1000 Network Driver
author:         Intel Corporation, <linux.nics@intel.com>
srcversion:     C16B0079573C1C58489CA60
alias:          pci:v00008086d00001503sv*sd*bc*sc*i*
alias:          pci:v00008086d00001502sv*sd*bc*sc*i*
alias:          pci:v00008086d000010F0sv*sd*bc*sc*i*
alias:          pci:v00008086d000010EFsv*sd*bc*sc*i*
alias:          pci:v00008086d000010EBsv*sd*bc*sc*i*
alias:          pci:v00008086d000010EAsv*sd*bc*sc*i*
alias:          pci:v00008086d00001525sv*sd*bc*sc*i*
alias:          pci:v00008086d000010DFsv*sd*bc*sc*i*
alias:          pci:v00008086d000010DEsv*sd*bc*sc*i*
alias:          pci:v00008086d000010CEsv*sd*bc*sc*i*
alias:          pci:v00008086d000010CDsv*sd*bc*sc*i*
alias:          pci:v00008086d000010CCsv*sd*bc*sc*i*
alias:          pci:v00008086d000010BEsv*sd*bc*sc*i*
alias:          pci:v00008086d000010CBsv*sd*bc*sc*i*
alias:          pci:v00008086d000010F5sv*sd*bc*sc*i*
alias:          pci:v00008086d000010BFsv*sd*bc*sc*i*
alias:          pci:v00008086d000010E5sv*sd*bc*sc*i*
alias:          pci:v00008086d0000294Csv*sd*bc*sc*i*
alias:          pci:v00008086d000010BDsv*sd*bc*sc*i*
alias:          pci:v00008086d000010C3sv*sd*bc*sc*i*
alias:          pci:v00008086d000010C2sv*sd*bc*sc*i*
alias:          pci:v00008086d000010C0sv*sd*bc*sc*i*
alias:          pci:v00008086d00001501sv*sd*bc*sc*i*
alias:          pci:v00008086d00001049sv*sd*bc*sc*i*
alias:          pci:v00008086d0000104Dsv*sd*bc*sc*i*
alias:          pci:v00008086d0000104Bsv*sd*bc*sc*i*
alias:          pci:v00008086d0000104Asv*sd*bc*sc*i*
alias:          pci:v00008086d000010C4sv*sd*bc*sc*i*
alias:          pci:v00008086d000010C5sv*sd*bc*sc*i*
alias:          pci:v00008086d0000104Csv*sd*bc*sc*i*
alias:          pci:v00008086d000010BBsv*sd*bc*sc*i*
alias:          pci:v00008086d00001098sv*sd*bc*sc*i*
alias:          pci:v00008086d000010BAsv*sd*bc*sc*i*
alias:          pci:v00008086d00001096sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Csv*sd*bc*sc*i*
alias:          pci:v00008086d000010F6sv*sd*bc*sc*i*
alias:          pci:v00008086d000010D3sv*sd*bc*sc*i*
alias:          pci:v00008086d0000109Asv*sd*bc*sc*i*
alias:          pci:v00008086d0000108Csv*sd*bc*sc*i*
alias:          pci:v00008086d0000108Bsv*sd*bc*sc*i*
alias:          pci:v00008086d0000107Fsv*sd*bc*sc*i*
alias:          pci:v00008086d0000107Esv*sd*bc*sc*i*
alias:          pci:v00008086d0000107Dsv*sd*bc*sc*i*
alias:          pci:v00008086d000010B9sv*sd*bc*sc*i*
alias:          pci:v00008086d000010D5sv*sd*bc*sc*i*
alias:          pci:v00008086d000010DAsv*sd*bc*sc*i*
alias:          pci:v00008086d000010D9sv*sd*bc*sc*i*
alias:          pci:v00008086d00001060sv*sd*bc*sc*i*
alias:          pci:v00008086d000010A5sv*sd*bc*sc*i*
alias:          pci:v00008086d000010BCsv*sd*bc*sc*i*
alias:          pci:v00008086d000010A4sv*sd*bc*sc*i*
alias:          pci:v00008086d0000105Fsv*sd*bc*sc*i*
alias:          pci:v00008086d0000105Esv*sd*bc*sc*i*
depends:
vermagic:       2.6.40-4.fc15.x86_64 SMP mod_unload
parm:           copybreak:Maximum size of packet that is copied to a new buffer on receive (uint)
parm:           TxIntDelay:Transmit Interrupt Delay (array of int)
parm:           TxAbsIntDelay:Transmit Absolute Interrupt Delay (array of int)
parm:           RxIntDelay:Receive Interrupt Delay (array of int)
parm:           RxAbsIntDelay:Receive Absolute Interrupt Delay (array of int)
parm:           InterruptThrottleRate:Interrupt Throttling Rate (array of int)
parm:           IntMode:Interrupt Mode (array of int)
parm:           SmartPowerDownEnable:Enable PHY smart power down (array of int)
parm:           KumeranLockLoss:Enable Kumeran lock loss workaround (array of int)
parm:           WriteProtectNVM:Write-protect NVM [WARNING: disabling this can lead to corrupted NVM] (array of int)
parm:           CrcStripping:Enable CRC Stripping, disable if your BMC needs the CRC (array of int)

Comment 1 Jesse Brandeburg 2011-11-28 19:36:42 UTC
try boot option pcie_aspm=off


Note You need to log in before you can comment on or make changes to this bug.